LIBXO(3)

NAME
xo_set_style, xo_set_style_name - set the output style for a libxo handle

LIBRARY
libxo

SYNOPSIS
#include <libxo/xo.h>
void
xo_set_style(xo_handle_t *handle, unsigned style);
int
xo_set_style_name(xo_handle_t *handle, const char *style);

DESCRIPTION
Use the xo_set_style() function to set the output style for a handle. To use the default handle, pass a NULL handle. The set of output styles used by libxo is:
Flag          Description
XO_STYLE_TEXT  Traditional text output
XO_STYLE_XML   XML encoded data
XO_STYLE_JSON  JSON encoded data
XO_STYLE_HTML  HTML encoded data

The xo_set_style_name() function can be used to set the style based on a name encoded as a string. The name can be any of the styles: "text", "xml", "json", or "html".

        EXAMPLE:
            xo_set_style_name(NULL, "html");

SEE ALSO
xo_emit(3), libxo(3)

HISTORY
The libxo library first appeared in FreeBSD 11.0.

AUTHORS
libxo was written by Phil Shafer <phil@freebsd.org>.